Bug 438880 - noapictimer required to boot
noapictimer required to boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Thomas Gleixner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-25 14:17 EDT by Scott Tsai
Modified: 2009-07-14 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:37:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2008-03-25 14:17:18 EDT
Description of problem:
Passing "noapictimer" required to boot this quad core (Intel Q660) machine:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Don't edit default grub kernel command line and just boot.
Actual results:
Machine hangs during boot process.

Expected results:
Successful boot.

Additional info:
Passing "noapictimer" works.
This box
doesn't have any built-in serial ports and I've never had any luck with getting
usb serial console to work so I guess I'll have to manually type in the boot
Comment 1 Scott Tsai 2008-03-25 15:03:13 EDT
Passing "nohz=off" also works while "highres=off" doesn't.
Comment 2 Thomas Gleixner 2008-03-25 17:31:07 EDT
Where in the boot process does it hang ?
Comment 3 Scott Tsai 2008-03-25 22:58:39 EDT
Booting stops here:
CPU 2/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
Intel(R) Core(TM)2 Quad CPU    Q6600  @2.40GHz stepping 0b 
checking TSC synchronization [CPU#0 -> CPU#2]:"

A few lines before that is:
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Comment 4 Scott Tsai 2008-03-27 13:49:19 EDT
2.6.25-0.161.rc7.fc9.x86_64 still requires "nohz=off"
Comment 5 Thomas Gleixner 2008-03-27 16:10:13 EDT
That's odd. 

At this early point in the boot process NOHZ is not yet active, so the nohz=off
should have no effect.

Does the machine boot when you add "maxcpus=2" or "maxcpus=3" to the kernel
command line ?

Comment 6 Scott Tsai 2008-03-27 17:26:17 EDT
I did some more reboots and tried "maxcpus={1,2,3,4}" and found that I can't
actually reliably reproduce the boot hang.

If I don't pass anything extra on the kernel command line all of the following
cases sometimes happens:
1. Boot hangs at "TSC synchronization" step. Sometimes between CPU#0 -> CPU#1,
sometimes between CPU#0 -> CPU#3.
2. Kernel boots. User space init scripts runs. Then kernel oops in a path from
do_IRQ to uhci_giveback_urb
3. System boots into graphical X11 login, but the keyboard doesn't respond
4. Systems functions normally.
Comment 7 Bug Zapper 2008-05-14 02:50:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 8 Bug Zapper 2009-06-09 19:51:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-07-14 12:37:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.